

/* Sekcja 2  Typ sekcji Rejestracja Rodzina Na Bank Widok Formularz rejestracji */

#section2 {
#section2 .hours-container {
  display: flex;
  flex-direction: column;
  gap: 1rem;

  .row {
    justify-content: space-evenly;
    gap: .5rem;
  }
}

#section2 .hours-block {
  display: flex;
  flex-direction: column;
  border: 1px solid #C9CED6;
  border-radius: 8px;
  padding: 1rem 2rem;
  width: 330px;
  color: var(--color-blue);
    cursor: pointer;

    &.not-available {
      color: gray; 
    }

  &:hover:not(.not-available) {
    opacity: 0.8;
  }

  &.selected {
    background: linear-gradient(90deg, #fabd5f, #ffffff);
  }

  span {
    font-size: 14px;
    font-weight: 300;
  }

  .hours {
    font-size: 2rem;
    font-weight: 600;
  }
}

label {
  text-transform: uppercase;
  color: var(--color-blue);
    font-weight: 600;
    font-size: 13px;
    letter-spacing: 0;
    margin-left: 5px;

    .info {
      text-transform: initial;
    }
}

#section2 .info {
  font-weight: 300;
  font-size: 1rem;
  line-height: 24px;
  color: var(--color-blue);
    }

input[type="text"], input[type="email"], input[type="number"] {
  border: 1px solid #CED4DA;
  border-radius: 4px;
  padding: 8px;
  height: 40px;

  &::placeholder {
    font-weight: 300;
    font-size: 1rem;
    line-height: 24px;
    color: #C5C2D0;
    margin-left: 5px;
  }
}

#section2 .form-group {
  margin-bottom: 2rem;
}

#btnSubmit, #spin-button {
  background-color: var(--color-blue);
    padding: 12px 24px;
    border-radius: 4px;
    height: 48px;
    color: white;
    }

input[type="checkbox"] {
  width: 20px;
  height: 20px;
}

input[type="radio"] {
  appearance: none; 
}

#registration_success > div {
  color: var(--color-blue);
    font-weight: 300;
    font-size: 1.275rem;

    span{
      font-weight: 600;
    }
}

span.info small {
  font-size: 60%;
  line-height: 0;
}

#child_1, #child_2, #child_3, #child_4, #child_5 
{
  padding: 3rem;
  border: 1px solid var(--color-blue);
    border-radius: 3px;
    }

#section2 .consent {
  color: var(--color-blue);

    label {
      margin-right: 15px;
    }

  .abc-checkbox input[type="checkbox"]:indeterminate + label::after, .abc-checkbox input[type="radio"]:indeterminate + label::after {
    display: none !important;
  }
  
i.fa-info-circle {
  cursor: pointer;
}

  label.errors::after, label.errors::before {
    display: none !important;
  }
  
  label.errors {
    display: block !important;
  }
  
  label.chk::after, label.chk::before {
    top: -10px !important;
  }
  
  .uwaga {
    font-size: 115%;
    font-weight: 600;
  }
}
